typedef struct FXtangentspace
{
	FXobject target;
	FXint iteration;
	FXint vertexcount;
	FXvoid *v;
}FXtangentspace;

FX_API(FXtangentspace *, fxCreateTangentSpace)(FXobject target, FXint pluginid);
FX_API(FXtangentspace *, fxFetchTangentSpace)(FXobject target, FXint pluginid);
FX_API(FXvoid, fxDeleteTangentSpace)(FXobject target, FXint pluginid, FXtangentspace *tan);
FX_API(FXvoid, fxTangentSpaceCalculate)(FXtangentspace *tan);
FX_API(FXvoid, fxTangentGetMatrix)(FXvoid *tan, FXint point, FXdouble matrix[4][4]);


#define _USEFUL_TANGENT	fxCreateTangentSpace = fxGetAPIFunc("useful_CreateTangentSpace", FX_APIFUNCS_CUSTOM);\
						fxFetchTangentSpace = fxGetAPIFunc("useful_FetchTangentSpace", FX_APIFUNCS_CUSTOM);\
						fxDeleteTangentSpace = fxGetAPIFunc("useful_DeleteTangentSpace", FX_APIFUNCS_CUSTOM);\
						fxTangentSpaceCalculate = fxGetAPIFunc("useful_TangentSpaceCalculate", FX_APIFUNCS_CUSTOM);\
						fxTangentGetMatrix = fxGetAPIFunc("useful_TangentGetMatrix", FX_APIFUNCS_CUSTOM);